Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.buf
Class HexUtils

    java.lang.Object
      org.apache.tomcat.util.buf.HexUtils

    public final class HexUtils

extends java.lang.Object

Library of utility methods useful in dealing with converting byte arrays to and from strings of hexadecimal digits. Code from Ajp11, from Apache's JServ.

Author:
  Craig R. McClanahan

Field Summary
`static byte[]` | `HEX` Table for DEC to HEX byte translation.

Constructor Summary
`HexUtils()`

Method Summary
`static java.lang.String` | `convert(byte[] bytes)` Convert a byte array into a printable format containing a String of hexadecimal digit characters (two per byte).
`static byte[]` | `convert(java.lang.String digits)` Convert a String of hexadecimal digits into the corresponding byte array by encoding each two hexadecimal digits as a byte.
`static int` | `convert2Int(byte[] hex)` Deprecated. Not used, will be removed in Tomcat 7
`static int` | `getDec(int index)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HEX

    public static final byte[] HEX

  Table for DEC to HEX byte translation.

Constructor Detail

### HexUtils

    public HexUtils()

Method Detail

### getDec

    public static int getDec(int index)

### convert

    public static byte[] convert(java.lang.String digits)

  Convert a String of hexadecimal digits into the corresponding byte array by encoding each two hexadecimal digits as a byte.

  Parameters:
    `digits` - Hexadecimal digits representation
  Throws:
    `java.lang.IllegalArgumentException` - if an invalid hexadecimal digit is found, or the input string contains an odd number of hexadecimal digits

### convert

    public static java.lang.String convert(byte[] bytes)

  Convert a byte array into a printable format containing a String of hexadecimal digit characters (two per byte).

  Parameters:
    `bytes` - Byte array representation

### convert2Int

    public static int convert2Int(byte[] hex)

  Deprecated. Not used, will be removed in Tomcat 7

  Convert 4 hex digits to an int, and return the number of converted bytes.

  Parameters:
    `hex` - Byte array containing exactly four hexadecimal digits
  Throws:
    `java.lang.IllegalArgumentException` - if an invalid hexadecimal digit is included

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.